begin

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Define I/O Structures and Current Flow
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

convention positive_current_flow=inward
load_mesh mesh_inf=SBD.aps  suprem_import=yes
output sol_outf=Qrr.out

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Map Materials
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


suprem_property user_material_mapping = yes
suprem_to_apsys_material suprem_mater=25  apsys_mater=1
suprem_to_apsys_material suprem_mater=21  apsys_mater=2

suprem_property user_material_mapping = yes

material_label_define label=4h_sic mater=   1
load_macro name=4h_sic mater=   1
material_label_define label=titanium mater= 2
load_macro name=ti mater=   2 &&
  var_symbol1=xlam  var1=  0.4000E+00

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Define Contacts
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


suprem_contact num=1 xrange=(0.000000 10.000000)  yrange=(-9999.000000 &&
9999.000000) touch_mater=2 side=upper


suprem_contact num=2 xrange=(0.0 0.9)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=lower

contact  num=1
contact  num=2


minispice circuit_file=Qrr_SiC.cir z_dim=1E6 &&
spice_device_to_tcadmesh=Zdiode &&
contact1_to_spice_node=3 &&
contact2_to_spice_node=0



$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Set the workfunction of the Schottky contact
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

affinity mater=2 value=4.76
no_auto_workfunction mater= 2

lifetime_n value=0.5e-6 mater=1
lifetime_p value=0.5e-6 mater=1

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Impact ionization parameters
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


impact_chynoweth mater = 1 hole_setnum = 1  &&
    hole_set1 =  [1.12e+09,1.72e+09,1.]  &&
    elec_setnum = 1 elec_set1 =  [4.60e+07,1.78e+09,1.]
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Interface charges--
$ must be located exactly at the Schottky/SiC interface
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

doping impurity=fix_charge charge_type=positive  &&
   max_conc=5.e24  &&
   shape=polygon &&
   edge1_prof= (1.3 11.899 0.00)   &&
   edge2_prof= (2.2 11.999 0.00)   &&
   edge3_prof= (2.2 11.9 0.00)   &&
   edge4_prof= (1.3 11.9 0.00)


newton_par damping_step=2. var_tol=1.e-2 res_tol=1.e-2 &&
  max_iter=100 opt_iter=15 stop_iter=15
equilibrium

newton_par damping_step=5. var_tol=0.1 res_tol=0.1 &&
  max_iter=30 opt_iter=15 stop_iter=8

scan var=virtual_time value_to=1 init_step=0.01 min_step=1e-5 &&
max_step=0.1


scan var=time value_to=0.9e-6 init_step=1e-9 min_step=1e-14 &&
max_step=1e-5
scan var=time value_to=1.2e-6 init_step=1e-10 min_step=1e-14 &&
max_step=5e-8 print_step=0.01e-6
scan var=time value_to=1.5e-6 init_step=1e-10 min_step=1e-14 &&
max_step=5e-8 print_step=0.01e-6
$scan var=time value_to=8e-6 init_step=1e-10 min_step=1e-14 &&
$max_step=2e-7 print_step=0.5e-6

end



